<?php
include_once 'connect.php';


// inclusão de itens no helper
/*
 if ($_SERVER['REQUEST_METHOD'] === 'POST') {
 $msg = array();
 
 // 1. incluir o ws.
 require_once 'inc/clientes.php';
 require_once 'inc/usuario.php';
 require_once 'inc/funcionalidade.php';
 // 2. seria interessante aqui ter uma função para verificar o usuário logado, o check_session.php não adianta aqui pois ele sempre redireciona para o index, e aqui não
 //    é esse o caso. Quando o usuário não está logado, retorna uma mensagem de erro com o json.
 if (!checkLogin()) {
 $msg['error'] = 'Erro! Usuário não autorizado';
 header('Content-type: application/json');
 echo json_encode($msg);
 exit;
 }
 // 3. inclui o item e retorna mensagem em formato json, e da exit para interromper o script aqui.
 $clientes = clientes_create();
 if (isset($_POST['clientes'])) {
 $clientes = array_replace_recursive($clientes, $_POST['clientes']);
 $ok = clientes_insert($clientes, $error);
 // 4. não é aqui, mas o javascript que envia o form via ajax espera um json com 2 campos, text e type, onde text é a mensagem (aceita html) e type pode ser alert, success,
 // error, warning, information, confirm, usados no plugin "noty jquery" (http://ned.im/noty/)
 if ($ok) {
 $msg['text'] = 'Item inserido com sucesso';
 $msg['type'] = 'success';
 } else {
 $msg['text'] = 'Erro ao inserir item ' . $error;
 $msg['type'] = 'error';
 }
 } else {
 $msg['text'] = 'Erro ao inserir item';
 $msg['type'] = 'error';
 }
 
 header('Content-type: application/json');
 echo json_encode($msg);
 exit;
 }
 // caso veio por um get mesmo, porém eu tenho um parâmetro chamado key, eu faço um select pela chave passada para retornar o descritivo dele
 else
 //*/
 if ($_SERVER['REQUEST_METHOD'] === 'GET') {
     // 1. incluir o ws
    
     if (isset($_GET['key'])) {
         $key = $_GET['key'];
         $msg = array();
         // if (is_numeric($key)) {
         if ($key!='') {
             $consulta = "select * from erpc_gp_tipos_contrato where id = '$key' and st_ativo = 1";
             //echo $consulta;
             $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
             if (mysqli_num_rows($resultado)>0) {
                 //caso encontrado
                 while ($registro = mysqli_fetch_assoc($resultado)){
                     
                     $id_tipo_contrato = $registro['id'];
                     $ds_tipo_contrato = $registro['ds_tipo_contrato'];
                     
                     //Mensagem de encontrado
                     $msg['id']  = $id_tipo_contrato;    /* Encontrado: Passa a nova ID para o Campo */
                     $msg['value'] = $ds_tipo_contrato; //     descritivo
                     $msg['description'] = $ds_tipo_contrato;
                 }
             }else{
                 //Caso não encontrado
                 $msg['id']='';
                 $msg['error'] = 'Erro! Código ' . htmlentities($key) . ' não cadastrado';
             }
             
         }else{
             //Caso não seja um valor numérico
             $msg['id']='';
             $msg['error'] = 'Erro! Código ' . htmlentities($key) . ' inválido';
         }

         header('Content-type: application/json');
         echo json_encode($msg);
         exit;
     }
     
 }
 
 ?>


<div class="scroll">
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#helper_lista-div" aria-controls="helper_lista-div" role="tab" data-toggle="tab"><span class="fa fa_list"></span> Lista</a></li>
  </ul>

  <div class="tab-content">
    <div role="tabpanel" class="tab-pane fade in active " id="helper_lista-div">
      <table class="table table-bordered table-striped table-responsible table-condensed sortable table-clickable-row" id="helperTable">
       <thead>
          <tr>
            <!--<th width="3%"><input type="checkbox" class="checkall" /></th>-->
            <!--<th width="3%">Status</th>-->
            <th width="10%">ID</th>
            <th width="50%">Tipo de Contrato</th>
          </tr>
        </thead>
        <tbody>

          <?php
          $sql = "select * from erpc_gp_tipos_contrato where st_ativo=1";
          //echo $sql;
          $resultado = mysqli_query($conexao, $sql);
          if ($resultado) {
            if (mysqli_num_rows($resultado)>0) {
              while ($registro = mysqli_fetch_assoc($resultado)){

                $id = $registro['id'];
                $ds_tipo_contrato = $registro['ds_tipo_contrato'];


                echo '<tr>' . PHP_EOL;
                //echo "<td class='text-center'><input type='checkbox' /></td>";
                //echo "<td class='text-center'><i class='fa fa-circle text-success' title='Status'><span class='sr-only'>Status</span></i></td>";
                echo "<td>$id</td>" . PHP_EOL;
                echo "<td>$ds_tipo_contrato</td>" . PHP_EOL;
                echo "</tr>" . PHP_EOL;
              }
            }
          } else {
            echo '<tr><td colspan="2">Erro! ' . sql_error($conexao) . '</td></tr>';
          }
          ?>
        </tbody>
      </table>
    </div> <!-- tabpanel -->

  </div> <!-- tab-content -->
</div>
